Memcached::replace
Memcached::set
Memcached
PHP Manual

# Memcached::replaceByKey

(PECL memcached >= 0.1.0)

Memcached::replaceByKey — Replace the item under an existing key on a specific server

### Descrição

public bool Memcached::replaceByKey ( string `$server_key` , string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::replaceByKey() is functionally equivalent to Memcached::replace, except that the free-form `server_key` can be used to map the `key` to a specific server. This is useful if you need to keep a bunch of related keys on a certain server.

### Parâmetros

`server_key`

  A chave identificando o servidor aonde guardar o valor.

`key`

  A chave sobre a qual guardar o valor.

`value`

  O valor para guardar.

`expiration`

  O tempo de expiração, padrão é 0. Veja Tempos de Expiração para maiores informações.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### Veja Também

- Memcached::replace - Replace the item under an existing key
- Memcached::set - Store an item
- Memcached::add - Add an item under a new key

Memcached::replace
Memcached::set
Memcached
PHP Manual